# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name stm-chans

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        3.0.0.2
Release:        1%{?dist}
Summary:        Additional types of channels for STM

License:        BSD
Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-stm-devel
# End cabal-rpm deps

%description
Additional types of channels for STM: bounded-length and/or closeable TChan's
and TQueue's.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc AUTHORS VERSION


%changelog
* Mon Sep  1 2014 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 3.0.0.2-1
- spec file generated by cabal-rpm-0.9.1
